Subject: bug#7467: Could nxml-mode avoid reindenting <pre>...</pre>?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Jul 2021 14:23:22 +0200

Jason Rumney <[email-masked]> writes:

> Lennart Borgman <[email-masked]> writes:
>
>> Since the content in <pre>...</pre> is preformatted it would be good
>> if nxml-mode did not reformat it during indentation.
>
> XML attaches no such semantic meaning to tags.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Yeah, I think it'd be wrong for nxml-mode to do anything special with
<pre>.  html-mode, on the other hand, should respect <pre>, and there a
separate bug report for that.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no